Skip to main content
PATCH
/
browser
/
bookmarks
/
many
Update bookmarks for multiple profiles
curl --request PATCH \
  --url https://api.gologin.com/browser/bookmarks/many \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "profileIds": [
    "6200f55e7685342e170dc531"
  ],
  "bookmarks": {
    "bookmark_bar": {
      "children": [
        {
          "name": "<string>",
          "type": "url",
          "url": "https://www.google.com"
        }
      ],
      "name": "<string>",
      "type": "<string>"
    },
    "other": {
      "children": [
        {
          "name": "<string>",
          "type": "url",
          "url": "https://www.google.com"
        }
      ],
      "name": "<string>",
      "type": "<string>"
    },
    "synced": {
      "children": [
        {
          "name": "<string>",
          "type": "url",
          "url": "https://www.google.com"
        }
      ],
      "name": "<string>",
      "type": "<string>"
    }
  }
}
'
import requests

url = "https://api.gologin.com/browser/bookmarks/many"

payload = {
"profileIds": ["6200f55e7685342e170dc531"],
"bookmarks": {
"bookmark_bar": {
"children": [
{
"name": "<string>",
"type": "url",
"url": "https://www.google.com"
}
],
"name": "<string>",
"type": "<string>"
},
"other": {
"children": [
{
"name": "<string>",
"type": "url",
"url": "https://www.google.com"
}
],
"name": "<string>",
"type": "<string>"
},
"synced": {
"children": [
{
"name": "<string>",
"type": "url",
"url": "https://www.google.com"
}
],
"name": "<string>",
"type": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profileIds: ['6200f55e7685342e170dc531'],
bookmarks: {
bookmark_bar: {
children: [{name: '<string>', type: 'url', url: 'https://www.google.com'}],
name: '<string>',
type: '<string>'
},
other: {
children: [{name: '<string>', type: 'url', url: 'https://www.google.com'}],
name: '<string>',
type: '<string>'
},
synced: {
children: [{name: '<string>', type: 'url', url: 'https://www.google.com'}],
name: '<string>',
type: '<string>'
}
}
})
};

fetch('https://api.gologin.com/browser/bookmarks/many', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
profileIds
string[]
required

List of profile IDs to update.

Example:
["6200f55e7685342e170dc531"]
bookmarks
object
required

Bookmarks parameters that you want to update.

Response

204 - undefined